#!/bin/sh

xcode_path="$(xcode-select -p)"

function perform_link () {
	clang++ \
	-stdlib=libc++ \
	-std=gnu++11 \
	-target \
	arm64-apple-ios11.0 \
	-Xlinker \
	-objc_abi_version \
	-Xlinker \
	2 \
	-fobjc-link-runtime \
	-ObjC \
	-framework \
	Foundation \
	-framework \
	Security \
	-framework \
	SystemConfiguration \
	-framework \
	CFNetwork \
	-framework \
	UIKit \
	-framework \
	QuartzCore \
	-framework \
	CoreMedia \
	-framework \
	CoreText \
	-framework \
	CoreGraphics \
	-framework \
	MtProtoKitFramework \
	-framework \
	SwiftSignalKitFramework \
	-framework \
	PostboxFramework \
	-framework \
	TelegramCoreFramework \
	-lz \
	-filelist \
	linker.objlist \
	-o \
	link.output \
	-L$xcode_path/Platforms/iPhoneOS.platform/Developer/usr/lib \
	-Wl,-objc_abi_version,2 \
	-ObjC \
	-L/usr/lib/swift \
	-L$xcode_path/Toolchains/XcodeDefault.xctoolchain/usr/lib/swift/iphoneos \
	-Wl,-rpath,/usr/lib/swift \
	-F$xcode_path/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS.sdk/Developer/Library/Frameworks \
	-F$xcode_path/Platforms/iPhoneOS.platform/Developer/Library/Frameworks \
	-lc++ \
	-g \
	-Fbazel-out/applebin_ios-ios_arm64-opt-ST-82c2c37ad712/bin/Telegram/frameworks \
	-isysroot \
	$xcode_path/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS.sdk \
	-F$xcode_path/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS.sdk/System/Library/Frameworks \
	-F$xcode_path/Platforms/iPhoneOS.platform/Developer/Library/Frameworks \
	-headerpad_max_install_names \
	-Wl,-rpath,@executable_path/../../Frameworks \
	-fapplication-extension \
	-e \
	_NSExtensionMain \
	-no-canonical-prefixes \
	-target \
	arm64-apple-ios11.0 \
	-dead_strip \
	-framework \
	Foundation \
	-framework \
	UIKit
}


while [ true ]; do
	if [ -f link.output ]; then
		rm link.output
	fi
	if [ -f link1.output ]; then
		rm link1.output
	fi
	perform_link
	mv link.output link1.output
	perform_link
	if cmp --silent -- "link.output" "link1.output"; then
		echo "" >> /dev/null
	else
		echo "Files differ"
		exit 1
	fi
done
